Get a customer by id
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/customers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123456,
"customerId": "268b30d2-e895-42b9-8a38-2451a87e19b2",
"isCompany": false,
"referenceId": "123",
"users": [
{
"contact": true,
"lang": "en",
"relation": "debtor",
"details": {
"name": "Hans Hansen",
"email": "email@example.com",
"phone": {
"locale": "45",
"number": "12345678"
},
"address": {
"address": "Applebys Plads 7, 1.",
"coAddress": null,
"city": "København K",
"zipcode": "1411",
"country": "Danmark"
}
}
}
],
"cases": [
{
"caseId": "268b30d2-e895-42b9-8a38-2451a87e19b2",
"status": "PENDING",
"statusTime": "2022-04-19T07:30:21.070Z",
"exitReason": null,
"createdAt": "2022-04-19T07:30:21.070Z"
}
]
}Customers
Get customer id
Get a customer by customer id
GET
/
v1
/
{tenantId}
/
customers
/
{id}
Get a customer by id
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the case belongs to
Id of the customer to be retrieved
Response
Successful operation
Id of creditor
Customer created at
Id of the customer
Id of the tenant
Reference id of the customer. Typically id of the customer, client, patient or similar.
Whether the customer is a company.
List of users related to this customer
Show child attributes
Show child attributes
List of cases related to this customer
Show child attributes
Show child attributes
⌘I